Subject: bug#30434: closed (Re: magit wonâtwork over TRAMP)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2025 12:37:02 +0000

Your bug report

#30434: magit won’t work over TRAMP

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30434: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30434
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: magit wonât work over TRAMP
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>, Simon Tournier <[email-masked]>, Mark H Weaver <[email-masked]>, Alex Kost <[email-masked]>, Maxime Devos <[email-masked]>, Ricardo Wurmus <[email-masked]>
Date: Sat, 22 Feb 2025 13:36:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> The point is to have an actionable bug tracker and not some spaghetti
> thread where it is hard to follow between the still accurate and the
> already fixed.
> 
> Ricardo opened an issue tracked as #30434.
> 
>     Subject: bug#30434: magit wonât work over TRAMP
>     Date: Mon, 12 Feb 2018 13:53:22 +0100 (5 years, 31 weeks, 5 days ago)
> 
> Closed by Mark with the message:
> 
>     Agreed.  Done, in commit 5fe9ba59ba1cea12a70d011aacbace52e3bfda18 on
>     master and commit 317e8e9404058af35d9843e076934560f95d895a on
>     core-updates.  I'm closing this bug now.
> 
>     Date: Wed, 14 Feb 2018 08:52:02 +0000 (5 years, 31 weeks, 3 days ago)
> 
> And the discussion ends on:
> 
>     Date: Fri, 16 Feb 2018 14:00:50 -0500 (5 years, 31 weeks, 1 day ago)
> 
> Then, years later you unarchive and reopen.
> 
>     Date: Wed, 18 May 2022 15:36:02 +0200 (1 year, 18 weeks, 1 day ago)
> 
>     unarchive 30434
>     reopen 30434
> 
> directly followed by Maximâs question:
> 
>     Why did you reopen that issue?  Does the original problem still affect
>     you (a hard-coded magit-git-executable causing problems when executed on
>     remote machines via TRAMP).
> 
> And this bug was still open just as a reminder waiting for your patch.
> The initial issue had been closed and what you are reporting is not an
> issue anymore, from my understanding.  I am proposing to open a fresh
> issue with accurate information from current Guix revisions about what
> you consider is this bug â referencing to this one if needed.

AFAICT, the issue seems resolved and I doubt any patch will sprout
anymore from this thread.

Closing. Of course, anyone can reopen it if necessary.

> 1: [bug#59253] [PATCH] gnu: emacs-magit: Substitute git executable path.
> Kyle Meyer <[email-masked]>
> Mon, 14 Nov 2022 19:52:36 -0500
> id:[email-masked]
> https://issues.guix.gnu.org//59253
> https://issues.guix.gnu.org/msgid/[email-masked]
> https://yhetil.org/guix/[email-masked]

Regards,
-- 
Nicolas Goaziou

Subject: magit won’t work over TRAMP
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Mon, 12 Feb 2018 13:53:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The default value for “magit-git-executable” (when magit is installed
via Guix) appears to be a store path, such as
“/gnu/store/l7g5r1c2i0bf3cd71g53ajy8khdcyidz-git-2.16.1/bin/git”.  This
means that when magit is used over TRAMP it will try to find the exact
same git executable on the remote.

Instead, magit should only look for “git” on the remote, not for the
exact store location of a particular git executable.

I could only use magit over TRAMP after setting “magit-git-executable”
to “git”.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net